### Method

# Foundry Config set_name

#### Declaration [src]

    void
    foundry_config_set_name (
      FoundryConfig* self,
      const char* name
    )

#### Description [src]

Set the user-visible name of the config.

This should only be called by implementations of `FoundryConfigProvider`.

Sets property | `Foundry.Config:name`

#### Parameters

`name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.